> For the complete documentation index, see [llms.txt](https://docs.gluwa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gluwa.com/api/fee.md).

# Fee

A blockchain generally charges an optional fee to process a transaction (e.g., [Bitcoin transaction fee](https://en.wikipedia.org/wiki/Bitcoin#Transaction_fees)). This fee is optional, but a transaction with a low fee may not get processed by a blockchain at all. To prevent this, you generally want to pay some amount of fee for the transaction.

For Gluwacoin transactions (eg> USDG, KRWG, NGNG), we charge extra fee on top of the market rate to ensure faster transaction. Any transaction with a fee lower than the minimum fee returned by the fee endpoint will be denied.

For Bitcoin transactions, we return the market rate fee. You may use this fee or use something lower, but please note that your transaction may take a while to be processed by the blockchain.

## `GET /v1/:currency/Fee`

Retrieve the minimum fee amount.

### Request

#### Path Parameters

| Attribute | Type     | Description                                                                                |
| --------- | -------- | ------------------------------------------------------------------------------------------ |
| currency  | `string` | The [currency](/api/currency-and-conversion-symbols.md#currency-symbols) unit for the fee. |

### Response

| HTTP Status | Return Object            |
| ----------- | ------------------------ |
| 200         | [Fee](/api/fee.md#fee-1) |

#### Fee

| Attribute  | Type     | Description                                                                              |
| ---------- | -------- | ---------------------------------------------------------------------------------------- |
| Currency   | `string` | The [currency](/api/currency-and-conversion-symbols.md#currency-symbols) unit of the fee |
| MinimumFee | `string` | The minimum transaction fee for the currency                                             |

### Errors

| HTTP Status | Error Code             | Description                                    |
| ----------- | ---------------------- | ---------------------------------------------- |
| 400         | `InvalidUrlParameters` | Invalid URL parameters                         |
| 500         | `InternalServerError`  | Server error.                                  |
| 503         | `ServiceUnavailable`   | Service unavailable for the specified currency |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gluwa.com/api/fee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
